API library fails to install

Post your feedback here
cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

API library fails to install

Postby cyberdave » Tue Jan 16, 2018 12:05 pm

I am using Antergos and have just received a RSP1A

when I execute
./SDRplay_RSP_API-Linux-2.11.1.run

I get the following out put

Verifying archive integrity... All good.
Uncompressing SDRplay RSP API Install Package V2.11.1
Installing SDRplay RSP API library 2.11...
Press space when prompted with --More-- to read the license agreement.

SDRplay Limited
END USER LICENCE AGREEMENT

(content removed to save space)

Press y and RETURN to accept the license agreement and continue with
the installation, or press n and RETURN to exit the installer [y/n] y
./install_lib.sh: line 17: arch: command not found
Architecture:
API Version: 2.11
Remove old libraries...
[sudo] password for david:
Install /usr/local/lib/libmirsdrapi-rsp.so.2.11
cp: cannot stat '/libmirsdrapi-rsp.so.2.11': No such file or directory
chmod: cannot access '/usr/local/lib/libmirsdrapi-rsp.so.2.11': No such file or directory
Remove old header files...
Install /usr/local/include/mirsdrapi-rsp.h
Udev rules directory found, adding rules...
Libusb found, continuing...
Finished.
Last edited by cyberdave on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 675
Joined: Wed Jan 07, 2015 7:58 am

Re: API library fails to install

Postby sdrplay » Tue Jan 16, 2018 3:55 pm

Strange for a release of Linux to not have the arch command. Can you get it for that OS or maybe alias it to something that returns the arch?

The installer uses 'arch' to install the correct API.

Best regards,

SDRplay Support

Reason: No reason

cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

Re: API library fails to install

Postby cyberdave » Tue Jan 16, 2018 7:39 pm

Thanks for the suggestion

So I added an alias as follows
alias arch='uname -m'

If I now type "arch" on the command line I get "x86_64" as output

When I run the install again I get exactly the same error message. The installer doesn't seem to know about the alias. I suspect my limited knowledge of linux could part of the problem.
Last edited by cyberdave on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 675
Joined: Wed Jan 07, 2015 7:58 am

Re: API library fails to install

Postby sdrplay » Tue Jan 16, 2018 8:04 pm

The script runs as root via sudo so it won't use your user aliases.

Maybe put a script called arch in /usr/bin ?

Best regards,

SDRplay Support

Reason: No reason

cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

Re: API library fails to install

Postby cyberdave » Wed Jan 17, 2018 12:18 pm

Thank you. I did that and it has now installed successfully.

Then I installed SoapySDR and SoapySDRPlay without any problems.

Then check info as per non windows flow. It appears there is some sort of a path problem. I have also added the blacklist file.

[david@david ~]$ SoapySDRUtil --info
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

Lib Version: v0.7.0-g2a266d60
API Version: v0.7.0
ABI Version: v0.7
Install root: /usr
Search path: /usr/lib/SoapySDR/modules0.7
Search path: /usr/local/lib/SoapySDR/modules0.7
Module found: /usr/lib/SoapySDR/modules0.7/libLMS7Support.so (18.01.0-e5cde28)
Module found: /usr/lib/SoapySDR/modules0.7/librtlsdrSupport.so (0.2.4-3932325)
Module found: /usr/lib/SoapySDR/modules0.7/libsdrPlaySupport.so
dlopen() failed: libmirsdrapi-rsp.so.2.11: cannot open shared object file: No such file or directory
Module found: /usr/local/lib/SoapySDR/modules0.7/libsdrPlaySupport.so
dlopen() failed: libmirsdrapi-rsp.so.2.11: cannot open shared object file: No such file or directory
Available factories... lime, rtlsdr
Available converters...
- CF32 -> [CF32, CS16, CS8, CU16, CU8]
- CS16 -> [CF32, CS16, CS8, CU16, CU8]
- CS32 -> [CS32]
- CS8 -> [CF32, CS16, CS8, CU16, CU8]
- CU16 -> [CF32, CS16, CS8]
- CU8 -> [CF32, CS16, CS8]
- F32 -> [F32, S16, S8, U16, U8]
- S16 -> [F32, S16, S8, U16, U8]
- S32 -> [S32]
- S8 -> [F32, S16, S8, U16, U8]
- U16 -> [F32, S16, S8]
- U8 -> [F32, S16, S8]
Last edited by cyberdave on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 675
Joined: Wed Jan 07, 2015 7:58 am

Re: API library fails to install

Postby sdrplay » Wed Jan 17, 2018 1:56 pm

try...

export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH
SoapySDRUtil --info

if successful you can then...

SoapySDRUtil --find=sdrplay
and
SoapySDRUtil --probe=sdrplay

Best regards,

SDRplay Support

Reason: No reason

cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

Re: API library fails to install

Postby cyberdave » Wed Jan 17, 2018 2:58 pm

Thanks again. That seems to have sorted detection of the device.

[david@david ~]$ SoapySDRUtil --info
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

Lib Version: v0.7.0-g2a266d60
API Version: v0.7.0
ABI Version: v0.7
Install root: /usr/local
Search path: /usr/local/lib/SoapySDR/modules0.7
Module found: /usr/local/lib/SoapySDR/modules0.7/libsdrPlaySupport.so (0.1.0-ca7e028)
Available factories... sdrplay
Available converters...
- CF32 -> [CF32, CS16, CS8, CU16, CU8]
- CS16 -> [CF32, CS16, CS8, CU16, CU8]
- CS32 -> [CS32]
- CS8 -> [CF32, CS16, CS8, CU16, CU8]
- CU16 -> [CF32, CS16, CS8]
- CU8 -> [CF32, CS16, CS8]
- F32 -> [F32, S16, S8, U16, U8]
- S16 -> [F32, S16, S8, U16, U8]
- S32 -> [S32]
- S8 -> [F32, S16, S8, U16, U8]
- U16 -> [F32, S16, S8]
- U8 -> [F32, S16, S8]
[david@david ~]$

And...

[david@david ~]$ SoapySDRUtil --find=sdrplay
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

Found device 0
driver = sdrplay
label = SDRplay Dev0 RSP1A 255 1716004493

So now I installed CubicSDR. When I launch it a dialog box appears with a selection of installed devices to select from. The SdrPlay does not appear in the list yet my RTL-SDR does if plugged in. I understand CubicSDR may be out of your support arena.
Last edited by cyberdave on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

Re: API library fails to install

Postby cyberdave » Thu Jan 18, 2018 8:29 am

I see elsewhere on the forum that the RSP API will not currently work with libusb greater than 1.0.19. My OS has version 1.0.21-2. Could this be the problem and if so are there plans to resolve this?
Last edited by cyberdave on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

cyberdave
Posts: 7
Joined: Tue Jan 16, 2018 11:51 am

Re: API library fails to install

Postby cyberdave » Fri Jan 19, 2018 10:40 am

After downgrading libusb to 1.0.19-1 I am still unable to see SDRPlay as a detected device in CubicSDR

Reason: No reason

sdrplay
Posts: 675
Joined: Wed Jan 07, 2015 7:58 am

Re: API library fails to install

Postby sdrplay » Fri Jan 19, 2018 12:59 pm

If

SoapySDRUtil --probe=sdrplay

finds the device then that is enough to prove it's working. If CubicSDR cannot see SoapySDR devices try...

export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH
CubicSDR

If you are trying to start CubicSDR any other way you will need to make sure the LD_LIBRARY_PATH variable is set permanently.

Best regards,

SDRplay Support

Reason: No reason


Return to “New Users' experiences”

Who is online

Users browsing this forum: No registered users and 4 guests